<?php

namespace Drupal\file_table_formatter;

use Drupal\file\Entity\File;

interface FileTableFormatterProcessorInterface {

  /**
   * @param \Drupal\file\Entity\File $file
   *   CSV file to process.
   * @param bool $includes_header
   *   Whether the first row should be treated as the header.
   * @param string|null $text_format
   *   Optional text format to apply to cell contents.
   *
   * @return \Drupal\file_table_formatter\FileTableData
   *   The FileTableData object, ready to render.
   */
  public function getTableDataFromFile(File $file, bool $includes_header = FALSE, ?string $text_format = NULL): FileTableData;
  
}
